Subject: Ticket Assigned - verify order 1670221438
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 27 May 2022 01:48:19 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  verify order 1670221438 I received a message telling that I already received my item for some reason which is order # 1670221438 but  I have not yet collected the item or never went to Centerpoint (Sur) or set foot on that store for this day. I only spoke to one of the staff there to help me because I cannot come there to collect it before the deadline (June 1,2022). Kindly confirm my item if it is still there or not. 

Sent from Yahoo Mail for iPhone

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4407017